summaryrefslogtreecommitdiffstats
path: root/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh')
-rw-r--r--recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh b/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
new file mode 100644
index 00000000..3f538175
--- /dev/null
+++ b/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+CONNMAN_CONF=/etc/connman/main.conf
+CLUSTER_ADDRESS=192.168.20.93
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <network device>"
+ exit 1
+fi
+
+# Need to blacklist given device with connman if it isn't already,
+# otherwise connman will over-ride address configuration.
+if ! grep '^NetworkInterfaceBlacklist=' ${CONNMAN_CONF} | grep -q $1; then
+ sed -i "s/^\(NetworkInterfaceBlacklist=.*\)/\1,$1/" ${CONNMAN_CONF}
+fi
+
+/sbin/ifconfig $1 ${CLUSTER_ADDRESS}